%define anolis_release 1

# the debuginfo package is empty
%global debug_package %{nil}

# Avoid Epoch inflation
%global module_version 0.65

Name:           perl-Spreadsheet-ParseExcel
Version:        0.6500
Release:        %{anolis_release}%{?dist}
Summary:        Extract information from an Excel file
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Spreadsheet-ParseExcel
Source0:        https://cpan.metacpan.org/authors/id/D/DO/DOUGW/Spreadsheet-ParseExcel-%{module_version}.tar.gz
# Build
BuildRequires: make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(Crypt::RC4)
BuildRequires:  perl(Digest::Perl::MD5)
BuildRequires:  perl(Encode)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(IO::File)
# Unusued BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(Jcode)
BuildRequires:  perl(OLE::Storage_Lite) >= 0.19
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Spreadsheet::WriteExcel)
# Unused BuildRequires:  perl(Text::CSV_XS)
BuildRequires:  perl(Unicode::Map)
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
# Tests only
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Test::More)
# Optional tests
BuildRequires:  perl(Perl::MinimumVersion) >= 1.20
BuildRequires:  perl(Pod::Simple) >= 3.07
BuildRequires:  perl(Test::CPAN::Meta) >= 0.12
BuildRequires:  perl(Test::MinimumVersion) >= 0.008
BuildRequires:  perl(Test::Pod) >= 1.26
Requires:       perl(Text::CSV_XS)

%description
The Spreadsheet::ParseExcel module can be used to read information from an
Excel 95-2003 file.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Spreadsheet-ParseExcel-%{module_version}
chmod -c a-x Changes examples/*.pl sample/*.pl
# Fix line-endings of sample files
for file in sample/* ; do
    [ -f "$file" ] && %{__perl} -pi -e 's/\r\n/\n/' "$file"
done

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}
# For Spreadsheet::ParseExcel::FmtJapan2; see README for details
install -D -m 644 -p CP932Excel.map \
    %{buildroot}%{perl_vendorarch}/Unicode/Map/MS/WIN/CP932Excel.map

%check
make test AUTOMATED_TESTING=1

%files
%doc README_Japan.htm examples/ sample/
%{perl_vendorarch}/Unicode/
%{perl_vendorlib}/Spreadsheet/
%{_mandir}/man3/Spreadsheet::ParseExcel.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::Cell.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::Dump.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::FmtDefault.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::FmtJapan.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::FmtJapan2.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::FmtUnicode.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::Font.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::Format.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::SaveParser.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::SaveParser::Workbook.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::SaveParser::Worksheet.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::Utility.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::Workbook.3pm*
%{_mandir}/man3/Spreadsheet::ParseExcel::Worksheet.3pm*

%files doc
%doc Changes README

%changelog
* Thu May 04 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.6500-1
- Init upstream from version 0.6500
